package cz.cuni.amis.pogamut.ut2004.communication.itemtranslator;

/**
 *
 *
 * @author Ondrej
 */
public class GeneralDescriptorFactory implements IDescriptorFactory<GeneralDescriptor> {
	
	private static GeneralDescriptorFactory instance = new GeneralDescriptorFactory();
	
	private GeneralDescriptorFactory() {}
	
	public static GeneralDescriptorFactory getInstance() {
		return instance;
	}

	@Override
	public GeneralDescriptor getNewDescriptor(ITCMsg configMsg) {
		return new GeneralDescriptor(configMsg.getProperties());
	}

}

